Package ghidra.rmi.trace

# Interface TraceRmi.ValDescOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `TraceRmi.ValDesc`, `TraceRmi.ValDesc.Builder`

Enclosing class:
  `TraceRmi`

public static interface TraceRmi.ValDescOrBuilder extends com.google.protobuf.MessageOrBuilder

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getKey()`
  `string key = 3;`
  `com.google.protobuf.ByteString`
  `getKeyBytes()`
  `string key = 3;`
  `TraceRmi.ObjDesc`
  `getParent()`
  `.ghidra.rmi.trace.ObjDesc parent = 1;`
  `TraceRmi.ObjDescOrBuilder`
  `getParentOrBuilder()`
  `.ghidra.rmi.trace.ObjDesc parent = 1;`
  `TraceRmi.Span`
  `getSpan()`
  `.ghidra.rmi.trace.Span span = 2;`
  `TraceRmi.SpanOrBuilder`
  `getSpanOrBuilder()`
  `.ghidra.rmi.trace.Span span = 2;`
  `TraceRmi.Value`
  `getValue()`
  `.ghidra.rmi.trace.Value value = 4;`
  `TraceRmi.ValueOrBuilder`
  `getValueOrBuilder()`
  `.ghidra.rmi.trace.Value value = 4;`
  `boolean`
  `hasParent()`
  `.ghidra.rmi.trace.ObjDesc parent = 1;`
  `boolean`
  `hasSpan()`
  `.ghidra.rmi.trace.Span span = 2;`
  `boolean`
  `hasValue()`
  `.ghidra.rmi.trace.Value value = 4;`

  ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

  `isInitialized`

  ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### hasParent

    boolean hasParent()
    `.ghidra.rmi.trace.ObjDesc parent = 1;`
    Returns:
      Whether the parent field is set.

  - ### getParent

    TraceRmi.ObjDesc getParent()
    `.ghidra.rmi.trace.ObjDesc parent = 1;`
    Returns:
      The parent.

  - ### getParentOrBuilder

    TraceRmi.ObjDescOrBuilder getParentOrBuilder()
    `.ghidra.rmi.trace.ObjDesc parent = 1;`

  - ### hasSpan

    boolean hasSpan()
    `.ghidra.rmi.trace.Span span = 2;`
    Returns:
      Whether the span field is set.

  - ### getSpan

    TraceRmi.Span getSpan()
    `.ghidra.rmi.trace.Span span = 2;`
    Returns:
      The span.

  - ### getSpanOrBuilder

    TraceRmi.SpanOrBuilder getSpanOrBuilder()
    `.ghidra.rmi.trace.Span span = 2;`

  - ### getKey

    String getKey()
    `string key = 3;`
    Returns:
      The key.

  - ### getKeyBytes

    com.google.protobuf.ByteString getKeyBytes()
    `string key = 3;`
    Returns:
      The bytes for key.

  - ### hasValue

    boolean hasValue()
    `.ghidra.rmi.trace.Value value = 4;`
    Returns:
      Whether the value field is set.

  - ### getValue

    TraceRmi.Value getValue()
    `.ghidra.rmi.trace.Value value = 4;`
    Returns:
      The value.

  - ### getValueOrBuilder

    TraceRmi.ValueOrBuilder getValueOrBuilder()
    `.ghidra.rmi.trace.Value value = 4;`